function storeTabindex() {
	$('[tabindex]:not(.has-tab-index)').each(function() {
		$(this).data('tabindex', $(this).attr('tabindex'));
		$(this).removeAttr('tabindex').addClass('has-tab-index');
		$(this).attr('tabindex', '-1');
	})
}

function restoreTabindex() {
	$('.has-tab-index').each(function() {
		$(this).attr('tabindex', $(this).data('tabindex'));
		$(this).removeAttr('.has-tab-index');
	})
}

$(document).on('click', '.has-tab-index', function(e) {
	e.stopPropagation();
})

function restartPrompt(method, text) {
	if (text === undefined) {
		text = "Repeat exercise?";
	}
	var div = $('<div class="restart-mask"><div class="restart-panel">' + text + '<a href="javascript:void(0)" class="rbutton yes"><img src="res/drawable/interface/yes.png" alt="Yes"></a><a href="javascript:void(0)" class="rbutton no"><img src="res/drawable/interface/no.png" alt="No"></a></div></div>');
	
	storeTabindex();
	
	$('#playground').append(div);

	$(".restart-panel .yes").one("click", function() {
		restoreTabindex();
		method.apply();
		div.remove();
	}).focus();

	$(".restart-panel .no").one("click", function() {
		restoreTabindex();
		div.remove();
	});
}