var __game_script = {
	"game" : {
		"type" : "presentation",
		"data" : {
			"view_width" : 1600,
			"view_height" : 900,
			"view_background_img" : "IMG_background",
			"ok_sounds" : [ "SND_excellent", "SND_good", "SND_great", "SND_verygood" ],
			"fail_sounds" : [ "SND_sorry" ],
			"slides" : [
			// strona tytulowa
			{
				"images" : [],
				"texts" : [ {
					"x" : 0,
					"y" : 60,
					"width" : 1600,
					"text" : "What is this?",
					"size" : "2em",
					"font" : "Lato",
					"color" : "#e0e0e0",
					"align" : "center"
				},

				{
					"x" : 325,
					"y" : 250,
					"width" : 950,
					"height" : 600,
					"text" : "Please match the word with the drawing.",
					"size" : "1.8em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center"
				} ]
			},
			// 1
			{
				"images" : [],
				"texts" : [ {
					"id" : "TEXT_OK",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : "position-from-center",
					"img" : "IMG_ok",
					"imgClass" : ""
				}, {
					"id" : "TEXT_BAD",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : 'position-from-center',
					"img" : "IMG_bad"
				}, {
					"x" : 0,
					"y" : 60,
					"width" : 1600,
					"text" : "What is this?",
					"size" : "2em",
					"font" : "Lato",
					"color" : "#e0e0e0",
					"align" : "center",
					"img" : "IMG_img1",
					"imgClass" : "main-image",
					"alt": "a Lamp"
				}, {
					"x" : 300,
					"y" : 430,
					"width" : 350,
					"text" : "a lamp",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : true,
					"show" : "TEXT_OK"
				}, {
					"x" : 870,
					"y" : 430,
					"width" : 450,
					"text" : "a carpet",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : false,
					"show" : "TEXT_BAD"
				} ]
			},
			{
				"images" : [],
				"texts" : [ {
					"id" : "TEXT_OK",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : "position-from-center",
					"img" : "IMG_ok",
					"imgClass" : ""
				}, {
					"id" : "TEXT_BAD",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : 'position-from-center',
					"img" : "IMG_bad"
				}, {
					"x" : 0,
					"y" : 60,
					"width" : 1600,
					"text" : "What is this?",
					"size" : "2em",
					"font" : "Lato",
					"color" : "#e0e0e0",
					"align" : "center",
					"img" : "IMG_img2",
					"imgClass" : "main-image",
					"alt": "a Chair"
				}, {
					"x" : 300,
					"y" : 430,
					"width" : 350,
					"text" : "a shower",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : false,
					"show" : "TEXT_BAD"
				}, {
					"x" : 870,
					"y" : 430,
					"width" : 450,
					"text" : "a chair",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : true,
					"show" : "TEXT_OK"
				} ]
			},
			{
				"images" : [],
				"texts" : [ {
					"id" : "TEXT_OK",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : "position-from-center",
					"img" : "IMG_ok",
					"imgClass" : ""
				}, {
					"id" : "TEXT_BAD",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : 'position-from-center',
					"img" : "IMG_bad"
				}, {
					"x" : 0,
					"y" : 60,
					"width" : 1600,
					"text" : "What is this?",
					"size" : "2em",
					"font" : "Lato",
					"color" : "#e0e0e0",
					"align" : "center",
					"img" : "IMG_img3",
					"imgClass" : "main-image",
					"alt": "an Armchair"
				}, {
					"x" : 300,
					"y" : 430,
					"width" : 350,
					"text" : "a sofa",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : false,
					"show" : "TEXT_BAD"
				}, {
					"x" : 870,
					"y" : 430,
					"width" : 450,
					"text" : "an armchair",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : true,
					"show" : "TEXT_OK"
				} ]
			},
			{
				"images" : [],
				"texts" : [ {
					"id" : "TEXT_OK",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : "position-from-center",
					"img" : "IMG_ok",
					"imgClass" : ""
				}, {
					"id" : "TEXT_BAD",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : 'position-from-center',
					"img" : "IMG_bad"
				}, {
					"x" : 0,
					"y" : 60,
					"width" : 1600,
					"text" : "What is this?",
					"size" : "2em",
					"font" : "Lato",
					"color" : "#e0e0e0",
					"align" : "center",
					"img" : "IMG_img4",
					"imgClass" : "main-image",
					"alt": "a Shower"
				}, {
					"x" : 300,
					"y" : 430,
					"width" : 350,
					"text" : "a shower",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : true,
					"show" : "TEXT_OK"
				}, {
					"x" : 870,
					"y" : 430,
					"width" : 450,
					"text" : "a sink",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : false,
					"show" : "TEXT_BAD"
				} ]
			},
			{
				"images" : [],
				"texts" : [ {
					"id" : "TEXT_OK",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : "position-from-center",
					"img" : "IMG_ok",
					"imgClass" : ""
				}, {
					"id" : "TEXT_BAD",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : 'position-from-center',
					"img" : "IMG_bad"
				}, {
					"x" : 0,
					"y" : 60,
					"width" : 1600,
					"text" : "What is this?",
					"size" : "2em",
					"font" : "Lato",
					"color" : "#e0e0e0",
					"align" : "center",
					"img" : "IMG_img5",
					"imgClass" : "main-image",
					"alt": "a TV"
				}, {
					"x" : 300,
					"y" : 430,
					"width" : 350,
					"text" : "a TV",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : true,
					"show" : "TEXT_OK"
				}, {
					"x" : 870,
					"y" : 430,
					"width" : 450,
					"text" : "a desk",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : false,
					"show" : "TEXT_BAD"
				} ]
			},
			{
				"images" : [],
				"texts" : [ {
					"id" : "TEXT_OK",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : "position-from-center",
					"img" : "IMG_ok",
					"imgClass" : ""
				}, {
					"id" : "TEXT_BAD",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : 'position-from-center',
					"img" : "IMG_bad"
				}, {
					"x" : 0,
					"y" : 60,
					"width" : 1600,
					"text" : "What is this?",
					"size" : "2em",
					"font" : "Lato",
					"color" : "#e0e0e0",
					"align" : "center",
					"img" : "IMG_img6",
					"imgClass" : "main-image",
					"alt": "a Bed"
				}, {
					"x" : 300,
					"y" : 430,
					"width" : 350,
					"text" : "a chair",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : false,
					"show" : "TEXT_BAD"
				}, {
					"x" : 870,
					"y" : 430,
					"width" : 450,
					"text" : "a bed",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : true,
					"show" : "TEXT_OK"
				} ]
			},
			{
				"images" : [],
				"texts" : [ {
					"id" : "TEXT_OK",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : "position-from-center",
					"img" : "IMG_ok",
					"imgClass" : ""
				}, {
					"id" : "TEXT_BAD",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : 'position-from-center',
					"img" : "IMG_bad"
				}, {
					"x" : 0,
					"y" : 60,
					"width" : 1600,
					"text" : "What is this?",
					"size" : "2em",
					"font" : "Lato",
					"color" : "#e0e0e0",
					"align" : "center",
					"img" : "IMG_img7",
					"imgClass" : "main-image",
					"alt": "a Desk"
				}, {
					"x" : 300,
					"y" : 430,
					"width" : 350,
					"text" : "a desk",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : true,
					"show" : "TEXT_OK"
				}, {
					"x" : 870,
					"y" : 430,
					"width" : 450,
					"text" : "a lamp",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : false,
					"show" : "TEXT_BAD"
				} ]
			},
			{
				"images" : [],
				"texts" : [ {
					"id" : "TEXT_OK",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : "position-from-center",
					"img" : "IMG_ok",
					"imgClass" : ""
				}, {
					"id" : "TEXT_BAD",
					"ok" : true,
					"hidden" : true,
					"x" : 800,
					"y" : 549,
					// "width" : Infinity,
					"class" : 'position-from-center',
					"img" : "IMG_bad"
				}, {
					"x" : 0,
					"y" : 60,
					"width" : 1600,
					"text" : "What is this?",
					"size" : "2em",
					"font" : "Lato",
					"color" : "#e0e0e0",
					"align" : "center",
					"img" : "IMG_img8",
					"imgClass" : "main-image",
					"alt": "a Sofa"
				}, {
					"x" : 300,
					"y" : 430,
					"width" : 350,
					"text" : "a bed",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : false,
					"show" : "TEXT_BAD"
				}, {
					"x" : 870,
					"y" : 430,
					"width" : 450,
					"text" : "a sofa",
					"size" : "1.5em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class_name" : "clickable",
					"clickable" : true,
					"ok" : true,
					"show" : "TEXT_OK"
				} ]
			},
			// strona koncowa
			{
				"images" : [],
				"texts" : [ {
					"x" : 800,
					"y" : 380,
					// "width" : Infinity,
					"text" : "Congratulations!",
					"size" : "3.4em",
					"font" : "Lato",
					"color" : "#58595B",
					"align" : "center",
					"class" : 'position-from-center',
				} ]
			} ]
		}
	}
};
